Subject: [CCAMP] FW: I-D Action:draft-shiomoto-ccamp-switch-programming-04.txt

From: "Adrian Farrel" <[email-masked]>
Date: Sun, 5 Dec 2010 19:20:56 -0000

FYI

This revision contains a few editorial clean-ups resulting from review by the
document shepherd.

Cheers,
Adrian

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]]
> On Behalf Of [email-masked]
> Sent: 05 December 2010 19:15
> To: [email-masked]
> Subject: I-D Action:draft-shiomoto-ccamp-switch-programming-04.txt
> 
> A New Internet-Draft is available from the on-line Internet-Drafts
directories.
> 
> 	Title           : Advice on When It is Safe to Start Sending Data on
Label
> Switched Paths Established Using RSVP-TE
> 	Author(s)       : K. Shiomoto, A. Farrel
> 	Filename        : draft-shiomoto-ccamp-switch-programming-04.txt
> 	Pages           : 11
> 	Date            : 2010-12-05
> 
> The Resource Reservation Protocol (RSVP) has been extended to support
> Traffic Engineering (TE) in Multiprotocol Label Switching (MPLS) and
> Generalized MPLS (GMPLS) networks. The protocol enables signaling
> exchanges to establish Label Switched Paths (LSPs) that traverse
> nodes and links to provide end-to-end data paths. Each node is
> programmed with "cross-connect" information as the signaling messages
> are processed. The cross-connection information instructs the node
> how to forward data that it receives.
> 
> End points of an LSP need to know when it is safe to start sending
> data so that it is not misdelivered, and so that safety issues
> specific to optical data plane technology are satisfied. Likewise,
> all label switching routers along the path of the LSP need to know
> when to programme their data planes relative to sending and receiving
> control plane messages.
> 
> This document clarifies and summarises the RSVP-TE protocol exchanges
> with relation to the programming of cross-connects along an LSP for
> both unidirectional and bidirectional LSPs. This document does not
> define any new procedures or protocol extensions, and defers
> completely to the documents that provide normative references. The
> clarifications set out in this document may also be used to help
> interpret LSP establishment performance figures for MPLS-TE and GMPLS
> devices.
> 
> A URL for this Internet-Draft is:
> http://www.ietf.org/internet-drafts/draft-shiomoto-ccamp-switch-
> programming-04.txt
> 
> Internet-Drafts are also available by anonymous FTP at:
> ftp://ftp.ietf.org/internet-drafts/
> 
> Below is the data which will enable a MIME compliant mail reader
> implementation to automatically retrieve the ASCII version of the
> Internet-Draft.